Robotics Service Bus - Enhancement #1247

Remove singleton backwards compatibility for factories

11/19/2012 10:53 PM - J. Wienke

Status: Resolved Start date: 11/19/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: rsb-0.12

Description

This was introduced and marked as deprecated to force users to convert to the new api.

Related issues:

Related to Robotics Service Bus - Bug # 1245: Singleton factories do not work... Resolved 11/19/2012

Associated revisions

Revision 1f6bddf1 - 03/13/2015 06:50 PM - J. Wienke

Remove singleton usage in public API

Removes deprecated code.

fixes #1247

Revision c98cacac - 05/01/2015 09:34 PM - J. Moringen

Mention removed Factory::getinstance in news.rst

refs #1247

- news.rst (0.12): mention removed Factory::getinstance method in the

C++ implementation

Revision ce0712f7 - 05/08/2015 12:17 AM - J. Moringen

Backport: Mention removed Factory::getinstance in news.rst

refs #1247

- news.rst (0.12): mention removed Factory::getinstance method in the

C++ implementation

History

#1 - 12/10/2013 11:47 PM - J. Moringen
- Target version changed from rsb-0.10 to rsb-0.11

#2 - 02/06/2014 05:30 PM - J. Moringen
- Target version changed from rsb-0.11 to rsb-0.12
#3 - 02/06/2014 05:32 PM - J. Moringen
- Target version changed from rsb-0.12 to rsb-1.0

#4 - 12/11/2014 07:53 PM - J. Moringen

- Target version changed from rsb-1.0 to rsb-0.12

#5 - 03/13/2015 06:29 PM - J. Wienke
- Status changed from New to In Progress

#6 - 03/13/2015 06:56 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:rsb-cpp|1f6bddf165f9fdf04d573f766c1a84faa7f653b8.

03/13/2024 22



